[ Index ]

PHP Cross Reference of WordPress Trunk (Updated Daily)

Search

title

Body

[close]

/wp-includes/rest-api/endpoints/ -> class-wp-rest-icon-collections-controller.php (summary)

REST API: WP_REST_Icon_Collections_Controller class

File Size: 266 lines (8 kb)
Included or required:0 times
Referenced: 0 times
Includes or requires: 0 files

Defines 1 class

WP_REST_Icon_Collections_Controller:: (10 methods):
  __construct()
  register_routes()
  get_items_permissions_check()
  get_item_permissions_check()
  get_items()
  get_item()
  get_icon_collection()
  prepare_item_for_response()
  get_item_schema()
  get_collection_params()


Class: WP_REST_Icon_Collections_Controller  - X-Ref

Controller which provides a REST endpoint for the editor to read registered
icon collections.

__construct()   X-Ref
Constructs the controller.


register_routes()   X-Ref
Registers the routes for the objects of the controller.


get_items_permissions_check($request)   X-Ref
Checks whether a given request has permission to read icon collections.

param: WP_REST_Request $request Full details about the request.
return: true|WP_Error True if the request has read access, WP_Error object otherwise.

get_item_permissions_check( $request )   X-Ref
Checks if a given request has access to read a specific icon collection.

param: WP_REST_Request $request Full details about the request.
return: true|WP_Error True if the request has read access for the item, WP_Error object otherwise.

get_items( $request )   X-Ref
Retrieves all icon collections.

param: WP_REST_Request $request Full details about the request.
return: WP_REST_Response|WP_Error Response object on success, or WP_Error object on failure.

get_item( $request )   X-Ref
Retrieves a specific icon collection.

param: WP_REST_Request $request Full details about the request.
return: WP_REST_Response|WP_Error Response object on success, or WP_Error object on failure.

get_icon_collection( $slug )   X-Ref
Retrieves a specific icon collection from the registry.

param: string $slug Icon collection slug.
return: array|WP_Error Icon collection data on success, or WP_Error object on failure.

prepare_item_for_response( $item, $request )   X-Ref
Prepares a raw icon collection before it gets output in a REST API response.

param: array           $item    Raw icon collection as registered, before any changes.
param: WP_REST_Request $request Request object.
return: WP_REST_Response|WP_Error Response object on success, or WP_Error object on failure.

get_item_schema()   X-Ref
Retrieves the icon collection schema, conforming to JSON Schema.

return: array Item schema data.

get_collection_params()   X-Ref
Retrieves the query params for the icon collections collection.

return: array Collection parameters.



Generated : Wed Jul 15 08:20:16 2026 Cross-referenced by PHPXref